Bug 1901871 - catalog-operator repeatedly crashes with "runtime error: index out of range [0] with length 0"
Summary: catalog-operator repeatedly crashes with "runtime error: index out of range [...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.6
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 4.6.z
Assignee: Nick Hale
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On: 1899835
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-26 10:16 UTC by OpenShift BugZilla Robot
Modified: 2021-01-06 09:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-21 13:23:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1880 0 None closed [release-4.6] Bug 1901871: fix(catalog): be defensive about directly indexing catalog pods 2021-01-14 15:16:29 UTC
Red Hat Product Errata RHSA-2020:5614 0 None None None 2020-12-21 13:24:24 UTC

Comment 3 Jian Zhang 2020-12-14 05:54:43 UTC
Cluster version is 4.6.0-0.nightly-2020-12-14-015205
[root@preserve-olm-env data]# oc -n openshift-operator-lifecycle-manager exec catalog-operator-6bc7d9ff89-rnszx -- olm --version
OLM version: 0.16.1
git commit: fe32277830b3dc086e014c0e3391de671e5f49f4

LGTM, verify it. The catalog-operator works well, no crash found.

[root@preserve-olm-env data]# oc get pods -n openshift-operator-lifecycle-manager 
NAME                                READY   STATUS    RESTARTS   AGE
catalog-operator-6bc7d9ff89-rnszx   1/1     Running   0          3h34m
olm-operator-748968646f-tqk76       1/1     Running   0          3h34m
packageserver-6cf594f9fc-8ml89      1/1     Running   0          3h28m
packageserver-6cf594f9fc-9rx8n      1/1     Running   0          3h28m

Comment 6 errata-xmlrpc 2020-12-21 13:23:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.6.9 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5614


Note You need to log in before you can comment on or make changes to this bug.